package com.schisandra.oss.infra.basic.service.impl;

import com.schisandra.oss.infra.basic.entity.SchisandraOssHuawei;
import com.schisandra.oss.infra.basic.dao.SchisandraOssHuaweiDao;
import com.schisandra.oss.infra.basic.service.SchisandraOssHuaweiService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 华为云对象存储配置表 表服务实现类
 *
 * @author landaiqing
 * @since 2024-06-02 21:59:56
 */
@Service("SchisandraOssHuaweiService")
public class SchisandraOssHuaweiServiceImpl implements SchisandraOssHuaweiService {

    @Resource
    private SchisandraOssHuaweiDao schisandraOssHuaweiDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public SchisandraOssHuawei queryById(Long id) {
        return this.schisandraOssHuaweiDao.selectOneById(id);
    }

    /**
     * 新增数据
     *
     * @param schisandraOssHuawei 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(SchisandraOssHuawei schisandraOssHuawei) {
        return this.schisandraOssHuaweiDao.insert(schisandraOssHuawei,true);
    }

    /**
     * 修改数据
     *
     * @param schisandraOssHuawei 实例对象
     * @return 实例对象
     */
    @Override
    public int update(SchisandraOssHuawei schisandraOssHuawei) {
        return this.schisandraOssHuaweiDao.update(schisandraOssHuawei,true);
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Long id) {
        return this.schisandraOssHuaweiDao.deleteById(id) > 0;
    }


}
